Status: New Start date: 22 Jan 2015

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.50 hour

Description

In a recent CoCoA session I found I was using a ring with ID value almost 60000 -- no idea why it was so high.  I certainly hadn't

created 60000 rings myself!

Perhaps rings created inside functions could have different indices/ID values from those created by the user? [does such a distinction

even make sense?]

History

#1 - 22 Jan 2015 16:02 - John Abbott

- Priority changed from Normal to Low

Maybe this should be in CoCoALib?

If we do decide to do this then I think there would have to be a distinct way of creating a "system made" ring (perhaps an extra optional arg?).  Would

we want to have the possibility of creating a "system made" ring also in CoCoA-5 (or just in CoCoALib)?

I was thinking of using negative indexes for "system made" rings, but there are also other ways (e.g. simply a flag saying "user made" or "system

made").

#2 - 22 Jan 2015 19:04 - Anna Maria Bigatti

Not sure it's worth the hassle.

It would be prettier, but I think we are the only two who would appreciate it ;-)

#3 - 23 Jan 2015 14:11 - John Abbott

The command RationalSolve seems to burn through lots of rings, so if called many times, can burn through very many rings.
